#ifndef GRAPH_H_
#define GRAPH_H_

#include "../std/visitor.hpp"
#include "../std/compare.hpp"
#include "../common/wrapper.hpp"
#include "GraphBase.h"

namespace graph {

// Wrapper around graphs.
typedef alib::wrapper<GraphBase> Graph;

} // namespace graph

namespace std {

template<>
struct compare<graph::Graph>
{
	int operator()(const graph::Graph &first, const graph::Graph &second) const
	{
		return first.getData().compare(second.getData());
	}
};

} // namespace

#endif // GRAPH_H_
