#ifndef GRAPH_REPRESENTATION_H_
#define GRAPH_REPRESENTATION_H_

#include <string>

namespace graph {

enum class REPRESENTATION {
	ADJACENCY_LIST,
	ADJACENCY_MATRIX,
	INCIDENCE_MATRIX
};

std::string representationToString(REPRESENTATION r);
REPRESENTATION representationFromString(const std::string &str);

} // namespace graph

#endif // GRAPH_REPRESENTATION_H_
