#include "IDirectedGraph.h"

#include <sstream>

namespace graph {

IDirectedGraph::~IDirectedGraph() noexcept
{
}

IDirectedGraph::operator std::string() const
{
	std::stringstream ss;
	for (const Node &node : allNodes()) {
		ss << node;
	}
	for (const DirectedEdge &edge : allEdges()) {
		ss << edge;
	}
	return ss.str();
}

} // namespace graph
