/*
 * Void.cpp
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travnicek
 */

#include "Void.h"

namespace alib {

Void::Void() {

}

ObjectBase* Void::clone() const {
	return new Void(*this);
}

ObjectBase* Void::plunder() && {
	return new Void(std::move(*this));
}

int Void::compare(const Void&) const {
	return 0;
}

void Void::operator>>(std::ostream& out) const {
	out << "(Void)";
}

Void::operator std::string () const {
	return "V";
}

Void Void::VOID = Void();

} /* namespace alib */
