/*
 * EndSymbol.cpp
 *
 *  Created on: Jun 19, 2014
 *      Author: Jan Travnicek
 */

#include "EndSymbol.h"

namespace alphabet {

EndSymbol::EndSymbol() {

}

SymbolBase* EndSymbol::clone() const {
	return new EndSymbol(*this);
}

SymbolBase* EndSymbol::plunder() && {
	return new EndSymbol(std::move(*this));
}

int EndSymbol::compare(const EndSymbol&) const {
	return 0;
}

void EndSymbol::operator>>(std::ostream& out) const {
	out << "(EndSymbol)";
}

EndSymbol::operator std::string () const {
	return "$";
}

EndSymbol EndSymbol::END = EndSymbol();

} /* namespace alphabet */
