/*
 * Grammar.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Martin Zak
 */

#ifndef GRAMMAR_H_
#define GRAMMAR_H_

#include "../std/visitor.hpp"
#include "../std/compare.hpp"
#include "GrammarBase.h"
#include "../common/wrapper.hpp"

namespace grammar {

/**
 * Wrapper around automata.
 */
typedef alib::wrapper<GrammarBase> Grammar;

} /* namespace grammar */

namespace std {

template<>
struct compare<grammar::Grammar> {
	int operator()(const grammar::Grammar& first, const grammar::Grammar& second) const {
		return first.getData().compare(second.getData());
	}
};

} /* namespace std */

#endif /* GRAMMAR_H_ */

