/*
 * String.cpp
 *
 *  Created on: Apr 16, 2013
 *      Author: Jan Travnicek
 */

#include "String.h"
#include "LinearString.h"
#include "../exception/AlibException.h"

namespace string {

string::String stringFrom( const alphabet::Symbol& symbol ) {
	return string::String { string::LinearString { std::vector<alphabet::Symbol> { symbol } } };
}

string::String stringFrom( const std::string& string ) {
	return string::String { string::LinearString { string } };
}

string::String stringFrom( const char* string ) {
	return stringFrom( (std::string) string);
}

} /* namespace string */

